testing::internal::CartesianProductHolder2< Generator1, Generator2 > Class Template Reference

`#include <gtest.h>`

## Public Member Functions

| CartesianProductHolder2 (const Generator1 &g1, const Generator2 &g2)
template<typename T1 , typename T2 >
| operator ParamGenerator< ::std::tuple< T1, T2 > > () const

## Detailed Description

### template<class Generator1, class Generator2>
class testing::internal::CartesianProductHolder2< Generator1, Generator2 >

Definition at line 13041 of file gtest.h.

## Constructor & Destructor Documentation

## CartesianProductHolder2()

template<class Generator1, class Generator2>

testing::internal::CartesianProductHolder2< Generator1, Generator2 >::CartesianProductHolder2 | ( | const Generator1 & | g1,
|  | const Generator2 & | g2
| ) |  |

inline

Definition at line 13043 of file gtest.h.

## Member Function Documentation

## operator ParamGenerator< ::std::tuple< T1, T2 > >()

template<class Generator1, class Generator2>
template<typename T1 , typename T2 >

testing::internal::CartesianProductHolder2< Generator1, Generator2 >::operator ParamGenerator< ::std::tuple< T1, T2 > > | ( |  | ) | const

inline

Definition at line 13046 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h